# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{tmail}
  s.version = "1.2.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Mikel Lindsaar <raasdnil AT gmail.com>"]
  s.date = %q{2008-04-10}
  s.description = %q{TMail is a Ruby-based mail handler. It allows you to compose stadards compliant emails in a very Ruby-way.}
  s.email = %q{raasdnil AT gmail.com}
  s.extensions = ["ext/tmailscanner/tmail/extconf.rb"]
  s.extra_rdoc_files = ["README", "CHANGES", "LICENSE", "MANIFEST", "NOTES", "Rakefile"]
  s.files = ["CHANGES", "doc", "ext", "ext/Makefile", "ext/tmailscanner", "ext/tmailscanner/tmail", "ext/tmailscanner/tmail/depend", "ext/tmailscanner/tmail/extconf.rb", "ext/tmailscanner/tmail/MANIFEST", "ext/tmailscanner/tmail/tmailscanner.c", "lib", "lib/tmail", "lib/tmail/address.rb", "lib/tmail/attachments.rb", "lib/tmail/base64.rb", "lib/tmail/compat.rb", "lib/tmail/config.rb", "lib/tmail/core_extensions.rb", "lib/tmail/encode.rb", "lib/tmail/header.rb", "lib/tmail/index.rb", "lib/tmail/interface.rb", "lib/tmail/loader.rb", "lib/tmail/mail.rb", "lib/tmail/mailbox.rb", "lib/tmail/main.rb", "lib/tmail/Makefile", "lib/tmail/mbox.rb", "lib/tmail/net.rb", "lib/tmail/obsolete.rb", "lib/tmail/parser.rb", "lib/tmail/parser.y", "lib/tmail/port.rb", "lib/tmail/quoting.rb", "lib/tmail/require_arch.rb", "lib/tmail/scanner.rb", "lib/tmail/scanner_r.rb", "lib/tmail/stringio.rb", "lib/tmail/utils.rb", "lib/tmail/version.rb", "lib/tmail.rb", "LICENSE", "log", "log/BugTrackingLog.txt", "log/Changelog.txt", "log/fixme.rdoc", "log/Fixme.txt", "log/Testlog.txt", "log/Todo.txt", "meta", "meta/MANIFEST", "meta/project.yaml", "meta/unixname", "meta/VERSION", "NOTES", "Rakefile", "README", "sample", "sample/bench_base64.rb", "sample/data", "sample/data/multipart", "sample/data/normal", "sample/data/sendtest", "sample/data/simple", "sample/data/test", "sample/extract-attachements.rb", "sample/from-check.rb", "sample/multipart.rb", "sample/parse-bench.rb", "sample/parse-test.rb", "sample/sendmail.rb", "setup.rb", "site", "site/contributing", "site/contributing/index.html", "site/css", "site/css/clean.css", "site/css/layout.css", "site/css/style.css", "site/download", "site/download/index.html", "site/img", "site/img/envelope.jpg", "site/img/mailman.gif", "site/img/stamp-sm.jpg", "site/img/stamp.jpg", "site/img/stampborder.jpg", "site/img/tfire.jpg", "site/img/tmail.png", "site/index.html", "site/js", "site/js/jquery.js", "site/log", "site/log/changelog.xml", "site/log/Changelog.xsl", "site/outdated", "site/outdated/BUGS", "site/outdated/DEPENDS", "site/outdated/doc.ja", "site/outdated/doc.ja/address.html", "site/outdated/doc.ja/basics.html", "site/outdated/doc.ja/config.html", "site/outdated/doc.ja/details.html", "site/outdated/doc.ja/index.html", "site/outdated/doc.ja/mail.html", "site/outdated/doc.ja/mailbox.html", "site/outdated/doc.ja/port.html", "site/outdated/doc.ja/tmail.html", "site/outdated/doc.ja/usage.html", "site/outdated/Incompatibilities", "site/outdated/Incompatibilities.ja", "site/outdated/NEWS", "site/outdated/rdd", "site/outdated/rdd/address.rrd.m", "site/outdated/rdd/basics.rd.m", "site/outdated/rdd/config.rrd.m", "site/outdated/rdd/details.rd.m", "site/outdated/rdd/index.rhtml.m", "site/outdated/rdd/mail.rrd.m", "site/outdated/rdd/mailbox.rrd.m", "site/outdated/rdd/port.rrd.m", "site/outdated/rdd/tmail.rrd.m", "site/outdated/rdd/usage.rd.m", "site/outdated/README.ja", "site/quickstart", "site/quickstart/index.html", "site/quickstart/quickstart.html", "site/quickstart/usage.html", "site/reference", "site/reference/address.html", "site/reference/config.html", "site/reference/index.html", "site/reference/mail.html", "site/reference/mailbox.html", "site/reference/port.html", "site/reference/tmail.html", "test", "test/extctrl.rb", "test/fixtures", "test/fixtures/mailbox", "test/fixtures/mailbox_without_any_from_or_sender", "test/fixtures/mailbox_without_from", "test/fixtures/mailbox_without_return_path", "test/fixtures/raw_attack_email_with_zero_length_whitespace", "test/fixtures/raw_base64_decoded_string", "test/fixtures/raw_base64_email", "test/fixtures/raw_base64_encoded_string", "test/fixtures/raw_email", "test/fixtures/raw_email10", "test/fixtures/raw_email11", "test/fixtures/raw_email12", "test/fixtures/raw_email13", "test/fixtures/raw_email2", "test/fixtures/raw_email3", "test/fixtures/raw_email4", "test/fixtures/raw_email5", "test/fixtures/raw_email6", "test/fixtures/raw_email7", "test/fixtures/raw_email8", "test/fixtures/raw_email9", "test/fixtures/raw_email_multiple_from", "test/fixtures/raw_email_quoted_with_0d0a", "test/fixtures/raw_email_reply", "test/fixtures/raw_email_simple", "test/fixtures/raw_email_with_bad_date", "test/fixtures/raw_email_with_illegal_boundary", "test/fixtures/raw_email_with_mimepart_without_content_type", "test/fixtures/raw_email_with_multipart_mixed_quoted_boundary", "test/fixtures/raw_email_with_nested_attachment", "test/fixtures/raw_email_with_partially_quoted_subject", "test/fixtures/raw_email_with_quoted_illegal_boundary", "test/kcode.rb", "test/temp_test_one.rb", "test/test_address.rb", "test/test_attachments.rb", "test/test_base64.rb", "test/test_encode.rb", "test/test_header.rb", "test/test_helper.rb", "test/test_mail.rb", "test/test_mbox.rb", "test/test_port.rb", "test/test_quote.rb", "test/test_scanner.rb", "test/test_utils.rb", "work", "work/script", "work/script/make", "work/script/rdoc", "work/script/setup", "work/script/test", "MANIFEST"]
  s.homepage = %q{http://tmail.rubyforge.org}
  s.rdoc_options = ["--inline-source", "--title", "TMail", "--main", "README"]
  s.require_paths = ["lib", "ext/tmailscanner"]
  s.rubyforge_project = %q{tmail}
  s.rubygems_version = %q{1.3.5}
  s.summary = %q{Ruby Mail Handler}
  s.test_files = ["test/extctrl.rb", "test/fixtures", "test/fixtures/mailbox", "test/fixtures/mailbox_without_any_from_or_sender", "test/fixtures/mailbox_without_from", "test/fixtures/mailbox_without_return_path", "test/fixtures/raw_attack_email_with_zero_length_whitespace", "test/fixtures/raw_base64_decoded_string", "test/fixtures/raw_base64_email", "test/fixtures/raw_base64_encoded_string", "test/fixtures/raw_email", "test/fixtures/raw_email10", "test/fixtures/raw_email11", "test/fixtures/raw_email12", "test/fixtures/raw_email13", "test/fixtures/raw_email2", "test/fixtures/raw_email3", "test/fixtures/raw_email4", "test/fixtures/raw_email5", "test/fixtures/raw_email6", "test/fixtures/raw_email7", "test/fixtures/raw_email8", "test/fixtures/raw_email9", "test/fixtures/raw_email_multiple_from", "test/fixtures/raw_email_quoted_with_0d0a", "test/fixtures/raw_email_reply", "test/fixtures/raw_email_simple", "test/fixtures/raw_email_with_bad_date", "test/fixtures/raw_email_with_illegal_boundary", "test/fixtures/raw_email_with_mimepart_without_content_type", "test/fixtures/raw_email_with_multipart_mixed_quoted_boundary", "test/fixtures/raw_email_with_nested_attachment", "test/fixtures/raw_email_with_partially_quoted_subject", "test/fixtures/raw_email_with_quoted_illegal_boundary", "test/kcode.rb", "test/temp_test_one.rb", "test/test_address.rb", "test/test_attachments.rb", "test/test_base64.rb", "test/test_encode.rb", "test/test_header.rb", "test/test_helper.rb", "test/test_mail.rb", "test/test_mbox.rb", "test/test_port.rb", "test/test_quote.rb", "test/test_scanner.rb", "test/test_utils.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
